Object Media
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
GET | |
POST | |
GET | |
PATCH | |
DELETE | |
GET |
List all object media previews
Required API key scopes
event_definition:readPath parameters
- project_idstring
Query parameters
- limitinteger
- offsetinteger
Response
Example request
GET /api /projects /:project_id /object_media_previewsExample response
Status 200
RESPONSE
Create object media previews
Required API key scopes
event_definition:writePath parameters
- project_idstring
Request parameters
- metadata
- uploaded_media_idstring
- exported_asset_idstring
- event_definition_idstring
Response
Example request
POST /api /projects /:project_id /object_media_previewsExample response
Status 201
RESPONSE
Retrieve object media previews
Required API key scopes
event_definition:readPath parameters
- idstring
- project_idstring
Response
Example request
GET /api /projects /:project_id /object_media_previews /:idExample response
Status 200
RESPONSE
Update object media previews
Required API key scopes
event_definition:writePath parameters
- idstring
- project_idstring
Request parameters
- metadata
- uploaded_media_idstring
- exported_asset_idstring
- event_definition_idstring
Response
Example request
PATCH /api /projects /:project_id /object_media_previews /:idExample response
Status 200
RESPONSE
Delete object media previews
Required API key scopes
event_definition:writePath parameters
- idstring
- project_idstring
Example request
DELETE /api /projects /:project_id /object_media_previews /:idExample response
Status 204 No response body
Retrieve object media previews preferred for event
Get the preferred media preview for an event definition. Most recent user-uploaded, then most recent exported asset. Requires event_definition (query param).
Path parameters
- project_idstring
Response
Example request
GET /api /projects /:project_id /object_media_previews /preferred_for_eventExample response
Status 200
RESPONSE